<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::Signal Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1Signal.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1Signal-members.html">List of all members</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::Signal Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class for signal processing.  
 <a href="classOpenSim_1_1Signal.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a1aa00537b8008dec85d8487ba19ba0ce"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#a1aa00537b8008dec85d8487ba19ba0ce">SmoothSpline</a> (int aDegree, double aDeltaT, double aCutOffFrequency, int aN, double *aTimes, double *aSignal, double *rFilteredSignal)</td></tr>
<tr class="separator:a1aa00537b8008dec85d8487ba19ba0ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1d080b5dc69eb4830642407360e48f8"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#ab1d080b5dc69eb4830642407360e48f8">LowpassIIR</a> (double aDeltaT, double aCutOffFrequency, int aN, const double *aSignal, double *rFilteredSignal)</td></tr>
<tr class="separator:ab1d080b5dc69eb4830642407360e48f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a191cc430204a38f3bd6698566e0e3438"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#a191cc430204a38f3bd6698566e0e3438">LowpassFIR</a> (int aOrder, double aDeltaT, double aCutoffFrequency, int aN, double *aSignal, double *rFilteredSignal)</td></tr>
<tr class="separator:a191cc430204a38f3bd6698566e0e3438"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a105a516cb1d7d301098ad784e46883ea"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#a105a516cb1d7d301098ad784e46883ea">BandpassFIR</a> (int aOrder, double aDeltaT, double aLowFrequency, double aHighFrequency, int aN, double *aSignal, double *aFilteredSignal)</td></tr>
<tr class="separator:a105a516cb1d7d301098ad784e46883ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4ad5578083eb1e276221ead52a05ca5"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#ab4ad5578083eb1e276221ead52a05ca5">Pad</a> (int aPad, int aN, const double aSignal[])</td></tr>
<tr class="memdesc:ab4ad5578083eb1e276221ead52a05ca5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pad a signal with a specified number of data points.  <a href="classOpenSim_1_1Signal.html#ab4ad5578083eb1e276221ead52a05ca5">More...</a><br /></td></tr>
<tr class="separator:ab4ad5578083eb1e276221ead52a05ca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3abc9467d566ab47841a6fe50df07acf"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#a3abc9467d566ab47841a6fe50df07acf">Pad</a> (int aPad, <a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array</a>&lt; double &gt; &amp;aSignal)</td></tr>
<tr class="separator:a3abc9467d566ab47841a6fe50df07acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadf06d9425167c84db667f9154381abb"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#aadf06d9425167c84db667f9154381abb">ReduceNumberOfPoints</a> (double aDistance, <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;rTime, <a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;rSignal)</td></tr>
<tr class="separator:aadf06d9425167c84db667f9154381abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3da0bd6651f327c527ef4acab430c56"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#ab3da0bd6651f327c527ef4acab430c56">sinc</a> (double x)</td></tr>
<tr class="separator:ab3da0bd6651f327c527ef4acab430c56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdf546a08f0732ae9c4ebdd8ba1ad2d8"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Signal.html#abdf546a08f0732ae9c4ebdd8ba1ad2d8">hamming</a> (int k, int M)</td></tr>
<tr class="separator:abdf546a08f0732ae9c4ebdd8ba1ad2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>A class for signal processing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a105a516cb1d7d301098ad784e46883ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a105a516cb1d7d301098ad784e46883ea">&#9670;&nbsp;</a></span>BandpassFIR()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int OpenSim::Signal::BandpassFIR </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aOrder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aDeltaT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aLowFrequency</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aHighFrequency</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aN</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>aSignal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>aFilteredSignal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abdf546a08f0732ae9c4ebdd8ba1ad2d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdf546a08f0732ae9c4ebdd8ba1ad2d8">&#9670;&nbsp;</a></span>hamming()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static double OpenSim::Signal::hamming </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>M</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a191cc430204a38f3bd6698566e0e3438"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a191cc430204a38f3bd6698566e0e3438">&#9670;&nbsp;</a></span>LowpassFIR()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int OpenSim::Signal::LowpassFIR </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aOrder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aDeltaT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aCutoffFrequency</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aN</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>aSignal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>rFilteredSignal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1d080b5dc69eb4830642407360e48f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1d080b5dc69eb4830642407360e48f8">&#9670;&nbsp;</a></span>LowpassIIR()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int OpenSim::Signal::LowpassIIR </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aDeltaT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aCutOffFrequency</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aN</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double *&#160;</td>
          <td class="paramname"><em>aSignal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>rFilteredSignal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4ad5578083eb1e276221ead52a05ca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4ad5578083eb1e276221ead52a05ca5">&#9670;&nbsp;</a></span>Pad() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::vector&lt;double&gt; OpenSim::Signal::Pad </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aPad</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aN</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double&#160;</td>
          <td class="paramname"><em>aSignal</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Pad a signal with a specified number of data points. </p>
<p>The signal is prepended and appended with a reflected and negated portion of the signal of the appropriate size so as to preserve the value and slope of the signal.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aPad</td><td>Size of the pad&ndash; number of points to prepend and append. </td></tr>
    <tr><td class="paramname">aN</td><td>Number of data points in the signal. </td></tr>
    <tr><td class="paramname">aSignal</td><td><a class="el" href="classOpenSim_1_1Signal.html" title="A class for signal processing.">Signal</a> to be padded. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Padded signal. The size is aN + 2*aPad. </dd></dl>

</div>
</div>
<a id="a3abc9467d566ab47841a6fe50df07acf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3abc9467d566ab47841a6fe50df07acf">&#9670;&nbsp;</a></span>Pad() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void OpenSim::Signal::Pad </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aPad</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Array.html">OpenSim::Array</a>&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>aSignal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aadf06d9425167c84db667f9154381abb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadf06d9425167c84db667f9154381abb">&#9670;&nbsp;</a></span>ReduceNumberOfPoints()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int OpenSim::Signal::ReduceNumberOfPoints </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aDistance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>rTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>rSignal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3da0bd6651f327c527ef4acab430c56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3da0bd6651f327c527ef4acab430c56">&#9670;&nbsp;</a></span>sinc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static double OpenSim::Signal::sinc </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1aa00537b8008dec85d8487ba19ba0ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1aa00537b8008dec85d8487ba19ba0ce">&#9670;&nbsp;</a></span>SmoothSpline()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int OpenSim::Signal::SmoothSpline </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aDegree</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aDeltaT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>aCutOffFrequency</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aN</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>aTimes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>aSignal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>rFilteredSignal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/Signal.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1Signal.html">Signal</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:30 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
